Foxit PDF RDK

Public Member Functions | List of all members
DRMSecurityCallback Class Reference
Inheritance diagram for DRMSecurityCallback:

## Public Member Functions
| GetCipherType (document, sub_filter)
| A callback function used to get the cipher type for encryption algorithm. More...
| GetFileID (document, sub_filter)
| A callback function used to get the file identity string. More...
| GetInitialKey (document, sub_filter)
| A callback function used to get the initial key to decrypt the DRM protected document. More...
| GetKeyLength (document, sub_filter)
| A callback function used to get the length of cipher key. More...
| GetUserPermissions (document, sub_filter)
| A callback function used to get the current user permissions. More...
| IsOwner (document, sub_filter)
| A callback function used to check if current user is the owner of the PDF document. More...
Public Member Functions inherited from SecurityCallback
| Release ()
| A callback function used to release current callback object itself. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

This class represents a callback object for Foxit DRM decryption. If user wants to use their own Foxit DRM security callback, user should inherit this callback class and implement the pure virtual functions (as callback functions), and then register their own Foxit DRM security callback object to Foxit PDF SDK by function Library.RegisterSecurityCallback with filter "FoxitDRM". Function Library.UnregisterSecurityCallback can be called to unregister the security callback object with the registered filter name.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ GetCipherType()

DRMSecurityCallback.GetCipherType | ( | document | ,
|  | sub_filter |
| ) |  |

A callback function used to get the cipher type for encryption algorithm.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  The cipher type. Please refer to values starting from SecurityHandler.e_CipherNone and this should be one of these values.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ GetFileID()

DRMSecurityCallback.GetFileID | ( | document | ,
|  | sub_filter |
| ) |  |

A callback function used to get the file identity string.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  The identity string, used to identify the file.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ GetInitialKey()

DRMSecurityCallback.GetInitialKey | ( | document | ,
|  | sub_filter |
| ) |  |

A callback function used to get the initial key to decrypt the DRM protected document.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  The initial key.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ GetKeyLength()

DRMSecurityCallback.GetKeyLength | ( | document | ,
|  | sub_filter |
| ) |  |

A callback function used to get the length of cipher key.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  The key length.
  For SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16.
  For SecurityHandler.e_CipherAES cipher, this value should be 16 or 32.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ GetUserPermissions()

DRMSecurityCallback.GetUserPermissions | ( | document | ,
|  | sub_filter |
| ) |  |

A callback function used to get the current user permissions.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  Current user permissions. Please refer to values starting from PDFDoc.e_PermPrint and this can be one or combination of these values.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ IsOwner()

DRMSecurityCallback.IsOwner | ( | document | ,
|  | sub_filter |
| ) |  |

A callback function used to check if current user is the owner of the PDF document.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  true means current user is the owner of the PDF document, while false means not.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.